Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.edit
Class DataPattern

    java.lang.Object
      convert.relaxng.edit.SourceObject
          convert.relaxng.edit.Annotated
              convert.relaxng.edit.Pattern
                  convert.relaxng.edit.DataPattern

All Implemented Interfaces:
  ParsedPattern

    public class DataPattern

extends Pattern

Constructor Summary
`DataPattern(java.lang.String datatypeLibrary, java.lang.String type)`

Method Summary
`
`<T> T`
` | `accept(PatternVisitor<T> visitor)`
`java.lang.String` | `getDatatypeLibrary()`
`Pattern` | `getExcept()`
`java.util.List<Param>` | `getParams()`
`java.lang.String` | `getType()`
`void` | `setDatatypeLibrary(java.lang.String datatypeLibrary)`
`void` | `setExcept(Pattern except)`
`void` | `setType(java.lang.String type)`

Methods inherited from class convert.relaxng.edit.Annotated
`attributeAnnotationsAccept, childElementAnnotationsAccept, followingElementAnnotationsAccept, getAttributeAnnotation, getAttributeAnnotations, getChildElementAnnotations, getContext, getFollowingElementAnnotations, getLeadingComments, leadingCommentsAccept, mayContainText, setContext`

Methods inherited from class convert.relaxng.edit.SourceObject
`getSourceLocation, setSourceLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataPattern

    public DataPattern(java.lang.String datatypeLibrary,
                       java.lang.String type)

Method Detail

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getDatatypeLibrary

    public java.lang.String getDatatypeLibrary()

### setDatatypeLibrary

    public void setDatatypeLibrary(java.lang.String datatypeLibrary)

### getParams

    public java.util.List<Param> getParams()

### getExcept

    public Pattern getExcept()

### setExcept

    public void setExcept(Pattern except)

### accept

    public <T> T accept(PatternVisitor<T> visitor)

  Specified by:
    `accept` in class `Pattern`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD